﻿using System.Collections.Generic;
using EPiServer.Framework.Web.Resources;
using EPiServer.Shell;

namespace EPiServer.Samples.Module
{
    /// <summary>
    /// Defines and provides available client resources
    /// </summary>
    [ClientResourceProvider]
    public class ClientResourceProvider : IClientResourceProvider
    {
        /// <summary>
        /// Gets the available client resources.
        /// </summary>
        /// <returns></returns>
        public IEnumerable<ClientResource> GetClientResources()
        {
            return new[] 
            {
                new ClientResource
                {
                    Name = "epi.samples.Module.FormHandler",
                    Path = Paths.ToClientResource(this.GetType(), "ClientResources/FormHandler.js"),
                    ResourceType = ClientResourceType.Script
                },
                new ClientResource
                {
                    Name = "epi.samples.Module.SiteStyles",
                    Path = Paths.ToClientResource(this.GetType(), "ClientResources/SiteStyles.css"),
                    ResourceType = ClientResourceType.Style
                }

            };
        }
    }
}