﻿using System.Web;
using EPiServer.Core;
using EPiServer.Framework.Web.Resources;
using EPiServer.Web;

namespace EPiServer.Samples.Module
{
    /// <summary>
    /// Client resource register
    /// </summary>
    [ClientResourceRegister]
    public class ClientResourceRegister : PageClientResourceRegister
    {
        /// <summary>
        /// Registers the required client resources depending on the context.
        /// </summary>
        /// <param name="requiredResources">The required resources list.</param>
        /// <param name="context">The current context.</param>
        /// <param name="pageData">The current page data.</param>
        protected override void RegisterResources(IRequiredClientResourceList requiredResources, HttpContextBase context, PageData pageData)
        {
            requiredResources.Require("epi.samples.Module.FormHandler").AtFooter();
            requiredResources.RequireStyleInline("h1 { color: Grey }");
            requiredResources.Require("epi.samples.Module.SiteStyles");
        }
    }
}