﻿using System.Web.Mvc;
using EPiServer.Samples.Module.Models;
using EPiServer.Shell.Gadgets;

namespace EPiServer.Samples.Module.Controllers
{
    /// <summary>
    /// Dummy colored jQuery gadget
    /// </summary>
    [Gadget(ResourceType = typeof(ColoredGadgetController))]
    public class ColoredGadgetController : Controller
    {
        /// <summary>
        /// Main action.
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            var model = new ColoredModel();
            return View(model);
        }

        /// <summary>
        /// Gets the gadget title.
        /// </summary>
        public static string Title
        {
            get
            {
                return Resources.Resources.GadgetTitle;
            }
        }
    }
}
