﻿using System.Collections.Generic;
using EPiServer.Shell.ObjectEditing;

namespace EPiServer.Samples.Module.EditorDescriptors
{
    /// <summary>
    /// Provides a list of options for Twitter button count position
    /// </summary>
    /// <seealso cref="CountPositionSelector"/>
    public class CountPositionSelectionFactory : ISelectionFactory
    {
        /// <summary>
        /// Gets the selection options.
        /// </summary>
        /// <param name="metadata">The metadata.</param>
        /// <returns></returns>
        public IEnumerable<ISelectItem> GetSelections(ExtendedMetadata metadata)
        {
            var options = new List<SelectItem>
                              {
                                  new SelectItem {  Value = "none", Text = "None" },
                                  new SelectItem { Value = "horizontal", Text = "Horizontal" },
                                  new SelectItem { Value = "vertical", Text = "Vertical" }
                              };
            return options;
        }
    }
}