﻿using System;
using System.Collections.Generic;
using EPiServer.Samples.Module.Models;
using EPiServer.Shell.ObjectEditing;
using EPiServer.Shell.ObjectEditing.EditorDescriptors;

namespace EPiServer.Samples.Module.EditorDescriptors
{
    /// <summary>
    /// Registers an editor to select a ContactPage for a PageReference property using a dropdown
    /// </summary>
    [EditorDescriptorRegistration(TargetType = typeof(string), UIHint = TwitterButtonConstants.CountPositionSelectorHint)]
    public class CountPositionSelector : EditorDescriptor
    {
        public CountPositionSelector()
        {
            SelectionFactoryType = typeof(CountPositionSelectionFactory);
            ClientEditingClass = "epi.cms.contentediting.editors.SelectionEditor";
        }
    }
}