﻿using System;
using System.Drawing;
using EPiServer.DynamicContent;

namespace EPiServer.Samples.Module.PlugIns
{
    /// <summary>
    /// User control that is available as dynamic content
    /// </summary>
    [DynamicContentPlugIn(ViewUrlFromModuleFolder = "PlugIns/DynamicContentAdapted.ascx")]
    public partial class DynamicContentAdapted : System.Web.UI.UserControl
    {
        /// <summary>
        /// Handles the Load event of the Page control to render random color.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            panel.BackColor = Color.FromArgb(new Random().Next());
        }
    }
}