﻿using EPiServer.Framework;
using EPiServer.Framework.Initialization;
using log4net;

namespace EPiServer.Samples.Module
{
    /// <summary>
    /// Sample initializable module.
    /// </summary>
    [InitializableModule]
    public class SampleInitializableModule : IInitializableModule
    {
        private readonly ILog _log = LogManager.GetLogger(typeof (SampleInitializableModule));

        /// <summary>
        /// Executes on initialization.
        /// </summary>
        /// <param name="context">The context.</param>
        public void Initialize(InitializationEngine context)
        {
            _log.Debug("SampleInitializableModule.Initialize called");
        }

        /// <summary>
        /// Executes on uninitialization.
        /// </summary>
        /// <param name="context">The context.</param>
        public void Uninitialize(InitializationEngine context)
        {
            _log.Debug("SampleInitializableModule.Uninitialize called");
        }

        /// <summary>
        /// executes on preload
        /// </summary>
        /// <param name="parameters">The parameters.</param>
        public void Preload(string[] parameters)
        {
            _log.Debug("SampleInitializableModule.Preload called");
        }
    }
}